package de.slpnetwork.brewcraft.item;

import de.slpnetwork.brewcraft.Brewcraft;
import de.slpnetwork.brewcraft.item.food.Grape;
import net.minecraft.world.effect.MobEffect;
import net.minecraft.world.effect.MobEffectInstance;
import net.minecraft.world.effect.MobEffects;
import net.minecraft.world.food.FoodProperties;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.alchemy.Potion;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.RegistryObject;

/**
 * used to register items
 */
public class ModItems {
    public static final DeferredRegister<Item> ITEMS = DeferredRegister.create(ForgeRegistries.ITEMS, Brewcraft.MODID);

    // Items
    public static final RegistryObject<Item> Glass = ITEMS.register("glass", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Heater_Body = ITEMS.register("heater_body", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Heater_Element = ITEMS.register("heater_element", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Mashine_Body = ITEMS.register("mashine_body", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Milling_Stone = ITEMS.register("milling_stone", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Pressed_Iron = ITEMS.register("pressed_iron", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Pressure_Body = ITEMS.register("pressure_body", () -> new Item(new Item.Properties()));

    // blocks
    public static final RegistryObject<Item> Saphire = ITEMS.register("sapphire", () -> new Item(new Item.Properties()));

    // ingredients
    public static final RegistryObject<Item> Cider_Yeast = ITEMS.register("cider-yeast", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Hop = ITEMS.register("hop", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Barley = ITEMS.register("barley", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Malt = ITEMS.register("malt", () -> new Item(new Item.Properties()));
    public static final RegistryObject<Item> Barley_Malt = ITEMS.register("barley_malt", () -> new Item(new Item.Properties()));

    // edible ingredients
    public static final RegistryObject<Item> Yeast = ITEMS.register("yeast",de.slpnetwork.brewcraft.item.food.Yeast::GetItem);
    public static final RegistryObject<Item> Rice = ITEMS.register("rice", de.slpnetwork.brewcraft.item.food.Rice::GetItem);
    public static final RegistryObject<Item> Grape = ITEMS.register("grape", de.slpnetwork.brewcraft.item.food.Grape::GetItem);

    // drinks
    public static final RegistryObject<Item> Bottle_Of_Apple_Beer = ITEMS.register("bottle_of_apple_beer",() -> new  de.slpnetwork.brewcraft.item.drinks.AppleBeer(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Glass_Of_Apple_Beer = ITEMS.register("glass_of_apple_beer",() -> new  de.slpnetwork.brewcraft.item.drinks.AppleBeer(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Bottle_Of_Apple_Juice = ITEMS.register("bottle_of_apple_juice",() -> new  de.slpnetwork.brewcraft.item.drinks.AppleJuice(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Glass_Of_Apple_Juice = ITEMS.register("glass_of_apple_juice",() -> new  de.slpnetwork.brewcraft.item.drinks.AppleJuice(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Bottle_Of_Grape_Juice = ITEMS.register("bottle_of_grape_juice",() -> new  de.slpnetwork.brewcraft.item.drinks.GrapeJuice(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Glass_Of_Grape_Juice = ITEMS.register("glass_of_grape_juice",() -> new  de.slpnetwork.brewcraft.item.drinks.GrapeJuice(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Bottle_Of_Corn_Beer = ITEMS.register("bottle_of_corn_beer",() -> new  de.slpnetwork.brewcraft.item.drinks.CornBeer(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Glass_Of_Corn_Beer = ITEMS.register("glass_of_corn_beer",() -> new  de.slpnetwork.brewcraft.item.drinks.CornBeer(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Bottle_Of_Yeast_Beer = ITEMS.register("bottle_of_yeast_beer",() -> new  de.slpnetwork.brewcraft.item.drinks.YeastBeer(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Glass_Of_Yeast_Beer = ITEMS.register("glass_of_yeast_beer",() -> new  de.slpnetwork.brewcraft.item.drinks.YeastBeer(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Bottle_Of_Hop_Beer = ITEMS.register("bottle_of_hop_beer",() -> new  de.slpnetwork.brewcraft.item.drinks.HopBeer(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Glass_Of_Hop_Beer = ITEMS.register("glass_of_hop_beer",() -> new  de.slpnetwork.brewcraft.item.drinks.HopBeer(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Bottle_Of_Pils_Beer = ITEMS.register("bottle_of_pils_beer",() -> new  de.slpnetwork.brewcraft.item.drinks.PilsBeer(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Glass_Of_Pils_Beer = ITEMS.register("glass_of_pils_beer",() -> new  de.slpnetwork.brewcraft.item.drinks.PilsBeer(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Bottle_Of_Sake = ITEMS.register("bottle_of_sake",() -> new  de.slpnetwork.brewcraft.item.drinks.Sake(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Glass_Of_Sake = ITEMS.register("glass_of_sake",() -> new  de.slpnetwork.brewcraft.item.drinks.Sake(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Bottle_Of_Whine = ITEMS.register("bottle_of_whine",() -> new  de.slpnetwork.brewcraft.item.drinks.Whine(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Glass_Of_Whine = ITEMS.register("glass_of_whine",() -> new  de.slpnetwork.brewcraft.item.drinks.Whine(new Item.Properties().stacksTo(1)));
    public static final RegistryObject<Item> Glass_Of_Water = ITEMS.register("glass_of_water",() -> new  de.slpnetwork.brewcraft.item.drinks.Water(new Item.Properties().stacksTo(1)));

    /***
     * registers the deferredregister
     * @param eventBus the mods eventbus
     */
    public static void register(IEventBus eventBus) {
        ITEMS.register(eventBus);
    }
}
